require_relative 'test_helper'

class PostgresTest < MiniTest::Unit::TestCase

  def self.before_suite
    @@posty = Docker::Postgres.run('posty')
  end

  def self.after_suite
    @@posty.remove!
  end

  def test_can_run_a_postgres_container
    assert @@posty.up?
  end

  def test_gets_current_postgres_contianer_if_one_exists
    posty2 = Docker::Postgres.run('posty')
    assert_equal @@posty, posty2
    # Do not need to remove posty2 here because posty2 == posty
  end
end
